Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bugzilla DB migration completed. Please report issues to Infra team via email via infra@gentoo.org or IRC
Bug 205195 (CVE-2008-0005) - www-servers/apache < 2.2.8: mod_proxy_ftp XSS (CVE-2008-0005)
Summary: www-servers/apache < 2.2.8: mod_proxy_ftp XSS (CVE-2008-0005)
Status: RESOLVED FIXED
Alias: CVE-2008-0005
Product: Gentoo Security
Classification: Unclassified
Component: Vulnerabilities (show other bugs)
Hardware: All Linux
: High minor (vote)
Assignee: Gentoo Security
URL: https://bugzilla.redhat.com/show_bug....
Whiteboard: B4 [glsa]
Keywords:
Depends on:
Blocks:
 
Reported: 2008-01-10 12:57 UTC by Lars Hartmann
Modified: 2020-04-04 10:14 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Lars Hartmann 2008-01-10 12:57:06 UTC
According to this Apache httpd commit:
http://marc.info/?l=apache-cvs&m=119930222400965&w=2

+  *) Add explicit charset to the output of various modules to work around
+     possible cross-site scripting flaws affecting web browsers that do not
+     derive the response character set as required by  RFC2616.  One of these
+     reported by SecurityReason [Joe Orton]
Comment 1 Lars Hartmann 2008-01-10 13:00:41 UTC
maintainers - please provide an updated ebuild
Comment 2 Benedikt Böhm (RETIRED) gentoo-dev 2008-01-27 18:14:07 UTC
this is fixed in 2.2.8
Comment 3 Sune Kloppenborg Jeppesen gentoo-dev 2008-01-28 18:51:43 UTC
Is 2.2.8 ready for stable marking?
Comment 4 Benedikt Böhm (RETIRED) gentoo-dev 2008-01-28 19:35:31 UTC
yes, please stabilize apache-2.2.8
Comment 5 Brent Baude (RETIRED) gentoo-dev 2008-01-29 01:30:12 UTC
ppc64 stable
Comment 6 Jeroen Roovers gentoo-dev 2008-01-29 03:34:01 UTC
Targets for stabilisation are (thank-you-very-much):
  =www-servers/apache-2.2.8
  =app-admin/apache-tools-2.2.8
Comment 7 Robert Buchholz (RETIRED) gentoo-dev 2008-01-29 04:16:47 UTC
Target keywords : "alpha amd64 arm hppa ia64 ppc ppc64 s390 sh sparc x86"
Comment 8 Jeroen Roovers gentoo-dev 2008-01-29 06:43:00 UTC
Stable for HPPA.


(In reply to comment #5)
> ppc64 stable

Readding ppc64 to mark app-admin/apache-tools-2.2.8 stable...
Comment 9 Markus Rothe (RETIRED) gentoo-dev 2008-01-29 08:39:23 UTC
(In reply to comment #8)
> Stable for HPPA.
> 
> 
> (In reply to comment #5)
> > ppc64 stable
> 
> Readding ppc64 to mark app-admin/apache-tools-2.2.8 stable...
> 

done
Comment 10 Christian Faulhammer (RETIRED) gentoo-dev 2008-01-29 11:30:47 UTC
x86 stable
Comment 11 Raúl Porcel (RETIRED) gentoo-dev 2008-01-29 20:09:09 UTC
alpha/ia64/sparc stable
Comment 12 Tobias Scherbaum (RETIRED) gentoo-dev 2008-01-31 20:01:20 UTC
ppc stable
Comment 13 Angelo Arrifano (RETIRED) gentoo-dev 2008-02-11 11:24:10 UTC
app-admin/apache-tools-2.2.8 [2.2.6] USE="ssl"

* Emerges on AMD64.
* Works!

www-servers/apache-2.2.8  USE="doc ssl threads -debug -ldap (-selinux) -sni -static -suexec" APACHE2_MODULES="actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation proxy* proxy_ftp* rewrite setenvif speling status unique_id userdir usertrack vhost_alias -asis -auth_digest -authn_dbd -cern_meta -charset_lite -dbd -dumpio -ident -imagemap -log_forensic -proxy_ajp -proxy_balancer -proxy_connect -proxy_http -version" APACHE2_MPMS="-event -itk -peruser -prefork -worker"

* Emerges on AMD64.
* Works!

- -
Portage 2.1.3.19 (default-linux/amd64/2007.0, gcc-4.1.2, glibc-2.6.1-r0, 2.6.23-gentoo-r3 x86_64)
=================================================================
System uname: 2.6.23-gentoo-r3 x86_64 AMD Turion(tm) 64 X2 Mobile Technology TL-56
Timestamp of tree: Sun, 10 Feb 2008 23:30:01 +0000
distcc 2.18.3 x86_64-pc-linux-gnu (protocols 1 and 2) (default port 3632) [disabled]
app-shells/bash:     3.2_p17-r1
dev-java/java-config: 1.3.7, 2.0.33-r1
dev-lang/python:     2.4.4-r6
dev-python/pycrypto: 2.0.1-r6
sys-apps/baselayout: 1.12.10-r5
sys-apps/sandbox:    1.2.18.1-r2
sys-devel/autoconf:  2.13, 2.61-r1
sys-devel/automake:  1.4_p6, 1.5, 1.6.3, 1.7.9-r1, 1.8.5-r3, 1.9.6-r2, 1.10
sys-devel/binutils:  2.18-r1
sys-devel/gcc-config: 1.4.0-r4
sys-devel/libtool:   1.5.24
virtual/os-headers:  2.6.23-r3
ACCEPT_KEYWORDS="amd64"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-march=k8 -Os -msse3 -pipe"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/kde/3.5/env /usr/kde/3.5/share/config /usr/kde/3.5/shutdown /usr/share/X11/xkb /usr/share/config /var/bind"
CONFIG_PROTECT_MASK="/etc/env.d /etc/env.d/java/ /etc/fonts/fonts.conf /etc/gconf /etc/php/apache2-php5/ext-active/ /etc/php/cgi-php5/ext-active/ /etc/php/cli-php5/ext-active/ /etc/revdep-rebuild /etc/splash /etc/terminfo /etc/texmf/web2c /etc/udev/rules.d"
CXXFLAGS="-march=k8 -Os -msse3 -pipe"
DISTDIR="/usr/portage/distfiles"
FEATURES="collision-protect distlocks metadata-transfer multilib-strict parallel-fetch sandbox sfperms strict unmerge-orphans userfetch"
GENTOO_MIRRORS="http://213.186.33.37/gentoo-distfiles/"
LANG="en_US"
MAKEOPTS="-j4"
PKGDIR="/usr/portage/packages"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --delete-after --stats --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages --filter=H_**/files/digest-*"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/usr/local/portage"
SYNC="rsync://rsync.gentoo.org/gentoo-portage"
USE="3dnow 3dnowext X a52 aac acpi alsa amd64 amr amrnb amrwb bash-completion berkdb bitmap-fonts branding bzip2 cairo cli cracklib crypt cups dbus divx doc dvd dvdr emerald fam ffmpeg firefox flac fortran gd gdbm gif glade glib glitz gtk gtkspell hal hddtemp iconv imagemagick insecure-savers isdnlog javascript jpeg jpeg2k kqemu libcaca libnotify midi mmx mmxext mp2 mp3 mp4 mpeg mplayer mudflap musicbrainz mysql ncurses nls nptl nptlonly offensive ogg opengl openmp pam pcre png pppd python quicktime readline realmedia reflection samba sdl session smp spell spl sse sse2 ssl stream svg syslog taglib tcpd threads truetype truetype-fonts type1 type1-fonts unicode v4l v4l2 vhosts vim-syntax vorbis wifi wmp xcomposite xorg xosd xpm xscreensaver xvid zlib" ALSA_CARDS="ali5451 als4000 atiixp atiixp-modem bt87x ca0106 cmipci emu10k1x ens1370 ens1371 es1938 es1968 fm801 hda-intel intel8x0 intel8x0m maestro3 trident usb-audio via82xx via82xx-modem ymfpci" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mulaw multi null plug rate route share shm softvol" APACHE2_MODULES="actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" ELIBC="glibc" INPUT_DEVICES="keyboard mouse evdev synaptics joystick" KERNEL="linux" LCD_DEVICES="xosd" USERLAND="GNU" VIDEO_CARDS="nv nvidia none"
Unset:  CPPFLAGS, CTARGET, EMERGE_DEFAULT_OPTS, INSTALL_MASK, LC_ALL, LDFLAGS, LINGUAS, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS
Comment 14 Christoph Mende (RETIRED) gentoo-dev 2008-02-17 13:14:11 UTC
amd64 stable
Comment 15 Robert Buchholz (RETIRED) gentoo-dev 2008-02-23 19:06:32 UTC
this should get glsa'd with bug 201163.
Comment 16 Peter Volkov (RETIRED) gentoo-dev 2008-02-24 18:50:04 UTC
Fixed in release snapshot.
Comment 17 Pierre-Yves Rofes (RETIRED) gentoo-dev 2008-03-11 21:50:59 UTC
GLSA 200803-19